# Session manager

To be able to run a graphical enviroment it's necessary to run a seat and session manager. It's recommended to use `seatd` in conjunction with `pam_rundir` for a minimal setup:

```
# apk add seatd pam-rundir
# rc-update add seatd default
```

Then make sure `pam_rundir` exports `XDG_RUNTIME_DIR` by uncommenting its line in `/etc/pam.d/base-session`:

```
session optional pam_rundir.so
```

For any user to launch a graphical session they must be in the `seat` group. Add them with:

```
# addgroup <user> seat
```
