Session management is necessary for tracking and giving rights to certain users. For a functional setup install both `elogind` and `turnstile` and enable their corresponding services.

``` shell-session
root@host:~# emerge -av elogind turnstile
root@host:~# rc-update add elogind boot
root@host:~# rc-update add turnstiled
```

Then configure `pam` to allow them to track the user:

``` shell title="/etc/pam.d/system-login"
...
session optional    pam_elogind.so
session optional    pam_turnstile.so
```

When a user logs in it should now be able to start a graphical session. This should be done with:

``` shell-session
user@host:~$ dbus-run-session -- <window_manager>
```
