`ccache` is a program which can save compiling cache, speeding up recompile's of big software. First install it:

``` shell-session
root@host:~# emerge -av dev-util/ccache
```

And create a configuration file for `ccache`.

``` title="/etc/ccache.conf"
cache_dir = /var/cache/ccache

max_size = 20G
umask = 002
hash_dir = false
compiler_check = %compiler% -dumpversion

compression = true
compression_level = 1
```

Configure `portage` to allow `ccache` for specified packages:

``` title="/etc/portage/env/enable-ccache.conf"
FEATURES="ccache"
CCACHE_DIR="/var/cache/ccache"
```

Then for every package with which you want to use `ccache` add them:

``` title="/etc/portage/package.env/ccache"
sys-kernel/gentoo-kernel enable-ccache.conf
sys-kernel/firefox enable-ccache.conf
...
```

