# Session manager

To use a graphical enviroment it is necessary to start a seat and session manager. For a minimal install it is recommended to use `seatd`, `turnstile` and `polkit`. To install those run:

```
# xbps-install -Sy seatd turnstile polkit
```

Then to enable them:

```
# ln -s /etc/sv/seatd /var/service
# ln -s /etc/sv/turnstiled /var/service
```

To be able to use `seatd` it is necessary that the user is added to the `_seatd` group.

```
# usermod -aG _seatd <user>
```

For `turnstile` to function configure `/etc/pam.d/system-login` by adding the line:

```
session optional pam_turnstile.so
```

Make sure turnstile also creates a *Runtime Directory* by enabling it in `/etc/turnstile/turnstiled.conf`.

```
manage_rundir = yes
```
