# Linux-lts

It might be desirable to install an LTS kernel for better stability. This can be done by:

```
# xbps-install -Sy linux-lts linux-lts-headers
```

To uninstall the non-lts kernel, ignore the package by creating `/etc/xbps.d/nolinux.conf` and inserting:

```
ignorepkg=linux
```

And then removing the `linux` meta package and its dependecies:

```
# xbps-remove -Ry linux
```

&nbsp; 

> You should choose a kernel depending on the hardware of your computer. If the components are relatively new they might not work with an LTS kernel.
