# Localtime

A "Network Time Protocol Daemon" (nptd for short) can sync the system clock with internet standard time servers. The `chrony` daemon is used as ntpd. Install it by:

```
# xbps-install -Sy chrony
```

Then to active its service:

```
# ln -s /etc/sv/chronyd /var/service
```

To configure the timezone edit the `/etc/rc.conf` file.

```
HARDWARECLOCK="localtime"
```

And symlink the correct timezone to `/etc/localtime`:

```
# ln -sf /usr/share/zoneinfo/<Region>/<City> /etc/localtime
```
