# Network filesystems

Network filesystems may be used for enhanced workflow between multiple devices and persistance of storage.

## Samba

Samba is such a Network filesystem protocol that may be used between different platforms. To use it install.

```
# xbps-install -Sy cifs-utils
```

Next, a credentials file will be created that is, `$HOME/.smbpasswd`. Edit the file and insert:

```
username=<username>
password=<password>
domain=<domain>
```

Concerning security considerations, the permissions may be enhanced.

```
# chmod 600 $HOME/.smbpasswd
```

Then edit `/etc/fstab` and insert:

```
//<domain>/<homefolder> $HOME/<smbfolder> cifs credentials=$HOME/.smbpasswd,_netdev,uid=<uid> 0 0
```

Finally mount the network filesystem.

```
# mount -a
```
