# Auto-mounting

`udiskie` will be used to automatically mount drives. It may be installed with.

```
# xpbs-install -Sy udiskie
```

`udiskie` needs to be started in Wayfire. This can be obtained by editing `.config/wayfire.ini`.

```
[autostart]
automount = udiskie -As
```

Furthermore, `udiskie` needs permission to mount drives, this permission can be given by creating `/etc/polkit-1/rules.d/00-mounting.rules` and inserting:

```
polkit.addRule(function(action, subject)
{
	if (action.id.startsWith("org.freedesktop.udisks2.") && subject.isInGroup("storage"))
		return polkit.Result.YES;
});
```

or

```
# cp {config-files-repo}/polkit/00-mounting.rules /etc/polkit-1/rules.d/
```
