# Screenshots

To be able to make screenshots on the system the packages `grim`, `slurp` and `wl-clipboard` will need to be installed.

```
# xbps-install -Sy grim slurp wl-clipboard
```

And bind them in `.config/wayfire.ini`.

```
[command]
binding_screenshot = KEY_SYSRQ
binding_screenshot_interactive = <ctrl> <super> KEY_S
command_screenshot = grim - | wl-copy -t image/png
command_screenshot_interactive = pkill -9 slurp ; grim -g "$(slurp -d)" - | wl-copy -t image/png
```

Now the *Prt Scn* key will make a screenshot of the entire desktop and *ctrl + super + S* will let you select a region to screenshot.
