# Taskbar

For the taskbar it is recommended to use Waybar since it's wayland native and has enough functionality. Furthermore network manager applet will be used to display network status and to easily configure network settings. 

To install both, in combination with some necessary fonts.

```
# xbps-install -Sy Waybar network-manager-applet fonts-roboto-ttf font-awesome
```

Waybar may be configured by editing `.config/waybar/config`.

```
$ cp -r {config-files-repo}/waybar .config/
```

Also make sure that Waybar and network-manager-applet are started by Wayfire.

```
[autostart]
bar = waybar
network = sleep 1; nm-applet --indicator
```
