# Window manager

There are many different window managers and desktop environments which can provide a decent experience. Wayfire is a functional, relatively lightweight and good looking wayland window manager and will be used for this install. 

To install a barebones Wayfire use:

```
# xbps-install -Sy wayfire
```

To be able to configure Wayfire and have a gtk theme install:

```
# xbps-install -Sy wf-shell wcm dconf-editor plata-theme papirus-icon-theme
```

Wayfire can be configured by editing `.config/wayfire.ini`.

```
$ cp {config-files-repo}/wayfire/wayfire.ini .config/
```

To use the gtk theme. Configure it with `dconf-editor` under `org.gnome.desktop.interface.gtk-theme` and for icons under `org.gnome.desktop.interface.icon-theme`. If these directories do not exist, than that possibly means that a gtk application has not yet ran on the system.

A custom bash script may be created in `/usr/local/bin`. That exports all the essential environment variables for the session.

```
# cp -r {config-files-repo}/wayfire/wayfire-run /usr/local/bin/
```
