# Laptop management

To obtain enhanced battery lifespan, `tlp` and `tlpui` may be installed. The `tlpui` application may be used to monitor the general configuration of `tlp`. 

```
# xbps-install -Sy tlp tlpui
```

Edit `/etc/tlp.d/00-template.conf` to set the battery usage to a more conservative setting.

```
CPU_ENERGY_PERF_POLICY_ON_AC=performance
CPU_ENERGY_PERF_POLICY_ON_BAT=power
```

The `tlp` service needs to be activated and also the `acpid` deamon is a necessity regarding obtaining all laptop functionality. Such as, brightness control, suspend when closing the lid etc.

```
# ln -s /etc/sv/tlp /var/service
# ln -s /etc/sv/acpid /var/service
```
