# Repositories

To install the official Void Linux 32-bit and nonfree repositories simply install their respective packages:

* For glibc

```
# xbps-install -Sy void-repo-multilib void-repo-nonfree void-repo-multilib-nonfree
```

* For musl

```
# xbps-install -Sy void-repo-nonfree
```

And update the repositories:

```
# xbps-install -S
```

## xbps-ample

There is also our unofficial extra repository for some additional packages and some packages which are needed for the graphical installation. To use those add them to `/etc/xbps.d/00-repository-ample.conf`,

* For glibc:

```
repository=https://git.bijl.us/lnco/xbps-ample/raw/branch/main/current
repository=https://git.bijl.us/lnco/xbps-ample/raw/branch/main/current/nonfree
```

* For musl

```
repository=https://git.bijl.us/lnco/xbps-ample/raw/branch/main/current/musl
```

And refresh the repositories:

```
# xbps-install -S
```
